org.h2.security

## Class Fog

- java.lang.Object
- - org.h2.security.Fog

All Implemented Interfaces:
  BlockCipher

    public class Fog
    extends java.lang.Object
    implements BlockCipher

A pseudo-encryption algorithm that makes the data appear to be encrypted. This algorithm is cryptographically extremely weak, and should only be used to hide data from reading the plain text using a text editor.

### Field Summary

### Fields inherited from interface org.h2.security.BlockCipher

`ALIGN`

### Constructor Summary

Constructors
Constructor and Description
`Fog()`

### Method Summary

Methods
`void` `decrypt(byte[] bytes, int off, int len)` Decrypt a number of bytes.
`void` `encrypt(byte[] bytes, int off, int len)` Encrypt a number of bytes.
`int` `getKeyLength()` Get the length of the key in bytes.
`void` `setKey(byte[] key)` Set the encryption key used for encrypting and decrypting.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Fog

    public Fog()

### Method Detail

#### encrypt

    public void encrypt(byte[] bytes,
               int off,
               int len)

Description copied from interface: `BlockCipher`
Encrypt a number of bytes. This is done in-place, that means the bytes are overwritten.

Specified by:
  `encrypt` in interface `BlockCipher`
Parameters:
  `bytes` - the byte array
  `off` - the start index
  `len` - the number of bytes to encrypt

#### decrypt

    public void decrypt(byte[] bytes,
               int off,
               int len)

Description copied from interface: `BlockCipher`
Decrypt a number of bytes. This is done in-place, that means the bytes are overwritten.

Specified by:
  `decrypt` in interface `BlockCipher`
Parameters:
  `bytes` - the byte array
  `off` - the start index
  `len` - the number of bytes to decrypt

#### getKeyLength

    public int getKeyLength()

Description copied from interface: `BlockCipher`
Get the length of the key in bytes.

Specified by:
  `getKeyLength` in interface `BlockCipher`
Returns:
  the length of the key

#### setKey

    public void setKey(byte[] key)

Description copied from interface: `BlockCipher`
Set the encryption key used for encrypting and decrypting. The key needs to be 16 bytes long.

Specified by:
  `setKey` in interface `BlockCipher`
Parameters:
  `key` - the key